Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] libkcompactdisc-4.10.2 does not emerge
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
sws
n00b
n00b


Joined: 08 Sep 2009
Posts: 29

PostPosted: Fri May 03, 2013 3:36 pm    Post subject: [SOLVED] libkcompactdisc-4.10.2 does not emerge Reply with quote

Hi,

emerge of libkcompactdisc-4.10.2 stops with the following error:
Code:
/usr/bin/x86_64-pc-linux-gnu-gcc  -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=53 -DKDE_DEPRECATED_WARNINGS -DMAKE_KCOMPACTDISC_LIB -DQT_NO_CAST_TO_ASCII -DQT_NO_STL -DUSE_WMLIB=1 -D_BSD_SOURCE -D_REENTRANT -D_XOPEN_SOURCE=500  -DQT_NO_DEBUG -DNDEBUG -march=amdfam10 -pipe -O3  -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common -fPIC -I/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2_build -I/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2 -I/usr/include/KDE -I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtMultimedia -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDeclarative -I/usr/include/qt4/QtDBus -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4    -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o CMakeFiles/kcompactdisc.dir/wmlib/audio/audio_sun.o -c /var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_sun.c
In file included from /usr/include/alsa/asoundlib.h:50:0,
                 from /var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_alsa.c:34:
/usr/include/alsa/pcm.h:442:15: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘int’
In file included from /usr/include/alsa/asoundlib.h:54:0,
                 from /var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_alsa.c:34:
/usr/include/alsa/control.h:237:15: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘int’
In file included from /usr/include/alsa/asoundlib.h:54:0,
                 from /var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_alsa.c:34:
/usr/include/alsa/control.h:535:15: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘int’
/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_alsa.c: In function ‘set_swparams’:
/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_alsa.c:193:9: warning: ‘snd_pcm_sw_params_set_xfer_align’ is deprecated (declared at /usr/include/alsa/pcm.h:1230) [-Wdeprecated-declarations]
/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_alsa.c: In function ‘setup_alsa’:
/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2/wmlib/audio/audio_alsa.c:331:41: warning: unused parameter ‘ctl’ [-Wunused-parameter]
make[2]: *** [CMakeFiles/kcompactdisc.dir/wmlib/audio/audio_alsa.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2_build'
make[1]: *** [CMakeFiles/kcompactdisc.dir/all] Error 2
make[1]: Leaving directory `/var/tmp/portage/kde-base/libkcompactdisc-4.10.2/work/libkcompactdisc-4.10.2_build'
make: *** [all] Error 2
 * ERROR: kde-base/libkcompactdisc-4.10.2 failed (compile phase):
 *   emake failed


Tried re-emerging: error
tried revdep-rebuild: error
tried re-syncing: error
tried re-emerging alsa-libs: error

So I am stuck again. Any help would be really fine.

Greets,
Sebastian


Last edited by sws on Fri May 03, 2013 5:27 pm; edited 1 time in total
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2000
Location: Finland

PostPosted: Fri May 03, 2013 4:15 pm    Post subject: Reply with quote

emerge --sync and upgrade your media-libs/alsa-lib, see https://bugs.gentoo.org/468402
Back to top
View user's profile Send private message
sws
n00b
n00b


Joined: 08 Sep 2009
Posts: 29

PostPosted: Fri May 03, 2013 5:27 pm    Post subject: Reply with quote

Thank you, it worked.

I did an emerge --sync this morning but it remained stuck with error as quoted. I wonder if the repository has been changed within a few hours. Also this morning ( 10:00 h CET) there was no bug report at bugzilla. A fine example of a very quick response time really - bleeding edge actually!!

So libkcompactdisc has been emerged successfully, thanks again. I'm going to set the thread to "solved"

Greets,
Sebastian
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum